[android-components](../../index.md) / [mozilla.components.feature.push](../index.md) / [Protocol](./index.md)

# Protocol

`enum class Protocol` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/push/src/main/java/mozilla/components/feature/push/AutoPushFeature.kt#L378)

Supported network protocols.

### Enum Values

| Name | Summary |
|---|---|
| [HTTP](-h-t-t-p.md) |  |
| [HTTPS](-h-t-t-p-s.md) |  |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
